diff --git a/server/settings.c b/server/settings.c
index 735276935d..6d3682fe1e 100644
--- a/server/settings.c
+++ b/server/settings.c
@@ -3874,30 +3916,31 @@ const char *setting_enum_secfile_str(secfile_data_t data, int val)
 
   name = info->set->enumerator.name(val);
 
-  if (info->compat && name != NULL) {
+  if (info->compat && name != nullptr) {
     const char *ret = setcompat_current_val_from_previous(info->set,
                                                           name->support);
 
-    if (ret != NULL) {
+    if (ret != nullptr) {
       return ret;
     }
   }
 
-  return (NULL != name ? name->support : NULL);
+  return (name != nullptr ? name->support : nullptr);
 }
 
 /************************************************************************//**
   Convert the integer to the string representation of an enumerator.
-  Return NULL if 'val' is not a valid enumerator.
+  Return nullptr if 'val' is not a valid enumerator.
 ****************************************************************************/
 const char *setting_enum_val(const struct setting *pset, int val, bool pretty)
 {
   const struct sset_val_name *name;
 
-  fc_assert_ret_val(SST_ENUM == pset->stype, NULL);
+  fc_assert_ret_val(SST_ENUM == pset->stype, nullptr);
+
   name = pset->enumerator.name(val);
-  if (NULL == name) {
-    return NULL;
+  if (name == nullptr) {
+    return nullptr;
   } else if (pretty) {
     return _(name->pretty);
   } else {
@@ -3950,13 +3993,13 @@ static bool setting_enum_validate_base(const struct setting *pset,
 
   return (setting_match_prefix(pset->enumerator.name, buf, pint_val,
                                reject_msg, reject_msg_len)
-          && (NULL == pset->enumerator.validate
+          && (pset->enumerator.validate == nullptr
               || pset->enumerator.validate(*pint_val, caller, reject_msg,
                                            reject_msg_len)));
 }
 
 /************************************************************************//**
-  Helper function to write value to enumerator setting 
+  Helper function to write value to enumerator setting
 ****************************************************************************/
 static bool set_enum_value(struct setting *pset, int val)
 {
@@ -3990,7 +4033,7 @@ static bool set_enum_value(struct setting *pset, int val)
 }
 
 /************************************************************************//**
-  Helper function to read value from enumerator setting 
+  Helper function to read value from enumerator setting
 ****************************************************************************/
 int read_enum_value(const struct setting *pset)
 {
@@ -4067,7 +4110,7 @@ const char *setting_bitwise_secfile_str(secfile_data_t data, int bit)
   struct sf_cb_data *info = (struct sf_cb_data *)data;
   const struct sset_val_name *name = info->set->bitwise.name(bit);
 
-  if (info->compat && name == NULL) {
+  if (info->compat && name == nullptr) {
     if (!fc_strcasecmp("topology", setting_name(info->set))) {
       if ((1 << bit) == TF_OLD_WRAPX) {
         return "WrapX";
@@ -4078,22 +4121,23 @@ const char *setting_bitwise_secfile_str(secfile_data_t data, int bit)
     }
   }
 
-  return (NULL != name ? name->support : NULL);
+  return (name != nullptr ? name->support : nullptr);
 }
 
 /************************************************************************//**
   Convert the bit number to its string representation.
-  Return NULL if 'bit' is not a valid bit.
+  Return nullptr if 'bit' is not a valid bit.
 ****************************************************************************/
 const char *setting_bitwise_bit(const struct setting *pset,
                                 int bit, bool pretty)
 {
   const struct sset_val_name *name;
 
-  fc_assert_ret_val(SST_BITWISE == pset->stype, NULL);
+  fc_assert_ret_val(SST_BITWISE == pset->stype, nullptr);
+
   name = pset->bitwise.name(bit);
-  if (NULL == name) {
-    return NULL;
+  if (name == nullptr) {
+    return nullptr;
   } else if (pretty) {
     return _(name->pretty);
   } else {
@@ -4191,7 +4235,7 @@ static bool setting_bitwise_validate_base(const struct setting *pset,
   /* Value names are separated by '|'. */
   do {
     p = strchr(val, '|');
-    if (NULL != p) {
+    if (p != nullptr) {
       p++;
       fc_strlcpy(buf, val, MIN(p - val, sizeof(buf)));
     } else {
@@ -4199,7 +4243,7 @@ static bool setting_bitwise_validate_base(const struct setting *pset,
       sz_strlcpy(buf, val);
     }
     remove_leading_trailing_spaces(buf);
-    if (NULL == p && '\0' == buf[0] && 0 == *pint_val) {
+    if (p == nullptr && '\0' == buf[0] && 0 == *pint_val) {
       /* Empty string = value 0. */
       break;
     } else if (!setting_match_prefix(pset->bitwise.name, buf, &bit,
@@ -4208,9 +4252,9 @@ static bool setting_bitwise_validate_base(const struct setting *pset,
     }
     *pint_val |= 1 << bit;
     val = p;
-  } while (NULL != p);
+  } while (p != nullptr);
 
-  return (NULL == pset->bitwise.validate
+  return (pset->bitwise.validate == nullptr
           || pset->bitwise.validate(*pint_val, caller,
                                     reject_msg, reject_msg_len));
 }
@@ -4267,9 +4311,9 @@ int setting_bitwise_get(struct setting *pset)
 const char *setting_value_name(const struct setting *pset, bool pretty,
                                char *buf, size_t buf_len)
 {
-  fc_assert_ret_val(NULL != pset, NULL);
-  fc_assert_ret_val(NULL != buf, NULL);
-  fc_assert_ret_val(0 < buf_len, NULL);
+  fc_assert_ret_val(pset != nullptr, nullptr);
+  fc_assert_ret_val(buf != nullptr, nullptr);
+  fc_assert_ret_val(0 < buf_len, nullptr);
 
   switch (pset->stype) {
   case SST_BOOL:
@@ -4294,7 +4338,7 @@ const char *setting_value_name(const struct setting *pset, bool pretty,
 
   log_error("%s(): Setting \"%s\" (nb %d) not handled in switch statement.",
             __FUNCTION__, setting_name(pset), setting_number(pset));
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -4303,9 +4347,9 @@ const char *setting_value_name(const struct setting *pset, bool pretty,
 const char *setting_default_name(const struct setting *pset, bool pretty,
                                  char *buf, size_t buf_len)
 {
-  fc_assert_ret_val(NULL != pset, NULL);
-  fc_assert_ret_val(NULL != buf, NULL);
-  fc_assert_ret_val(0 < buf_len, NULL);
+  fc_assert_ret_val(pset != nullptr, nullptr);
+  fc_assert_ret_val(buf != nullptr, nullptr);
+  fc_assert_ret_val(0 < buf_len, nullptr);
 
   switch (pset->stype) {
   case SST_BOOL:
@@ -4330,7 +4374,7 @@ const char *setting_default_name(const struct setting *pset, bool pretty,
 
   log_error("%s(): Setting \"%s\" (nb %d) not handled in switch statement.",
             __FUNCTION__, setting_name(pset), setting_number(pset));
-  return NULL;
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -4368,7 +4412,7 @@ void setting_set_to_default(struct setting *pset)
 ****************************************************************************/
 void setting_action(const struct setting *pset)
 {
-  if (pset->action != NULL) {
+  if (pset->action != nullptr) {
     pset->action(pset);
   }
 }
@@ -4391,12 +4435,13 @@ bool settings_ruleset(struct section_file *file, const char *section,
   } settings_iterate_end;
 
   /* Settings */
-  if (NULL == secfile_section_by_name(file, section)) {
+  if (secfile_section_by_name(file, section) == nullptr) {
     /* No settings in ruleset file */
     log_verbose("no [%s] section for game settings in %s", section,
                 secfile_name(file));
   } else {
-    for (j = 0; (name = secfile_lookup_str_default(file, NULL, "%s.set%d.name",
+    for (j = 0; (name = secfile_lookup_str_default(file, nullptr,
+                                                   "%s.set%d.name",
                                                    section, j)); j++) {
       char path[256];
 
@@ -4413,7 +4458,7 @@ bool settings_ruleset(struct section_file *file, const char *section,
     }
   }
 
-  /* Execute all setting actions to consider actions due to the 
+  /* Execute all setting actions to consider actions due to the
    * default values. */
   if (act) {
     settings_iterate(SSET_ALL, pset) {
@@ -4425,8 +4470,8 @@ bool settings_ruleset(struct section_file *file, const char *section,
 
   autolock_settings();
 
-  /* send game settings */
-  send_server_settings(NULL);
+  /* Send game settings */
+  send_server_settings(nullptr);
 
   return TRUE;
 }
@@ -4446,7 +4491,7 @@ static bool setting_ruleset_one(struct section_file *file,
                                 const char *name, const char *path,
                                 bool compat)
 {
-  struct setting *pset = NULL;
+  struct setting *pset = nullptr;
   char reject_msg[256], buf[256];
   bool lock;
   struct sf_cb_data info = { pset, compat };
@@ -4458,7 +4503,7 @@ static bool setting_ruleset_one(struct section_file *file,
     }
   } settings_iterate_end;
 
-  if (pset == NULL || !pset->ruleset_settable) {
+  if (pset == nullptr || !pset->ruleset_settable) {
     /* No setting found or it's not settable by ruleset */
     return FALSE;
   }
@@ -4485,8 +4530,8 @@ static bool setting_ruleset_one(struct section_file *file,
         break;
       }
       if (val != *pset->boolean.pvalue) {
-        if (NULL == pset->boolean.validate
-            || pset->boolean.validate(val, NULL, reject_msg,
+        if (pset->boolean.validate == nullptr
+            || pset->boolean.validate(val, nullptr, reject_msg,
                                       sizeof(reject_msg))) {
           *pset->boolean.pvalue = val;
           log_normal(_("Ruleset: '%s' has been set to %s."),
@@ -4507,7 +4552,7 @@ static bool setting_ruleset_one(struct section_file *file,
           log_error("Can't read value for setting '%s': %s", name,
                     secfile_error());
       } else if (val != *pset->integer.pvalue) {
-        if (setting_int_set(pset, val, NULL, reject_msg,
+        if (setting_int_set(pset, val, nullptr, reject_msg,
                             sizeof(reject_msg))) {
           log_normal(_("Ruleset: '%s' has been set to %s."),
                      setting_name(pset),
@@ -4523,11 +4568,11 @@ static bool setting_ruleset_one(struct section_file *file,
     {
       const char *val = secfile_lookup_str(file, "%s.value", path);
 
-      if (NULL == val) {
+      if (val == nullptr) {
         log_error("Can't read value for setting '%s': %s", name,
                   secfile_error());
       } else if (0 != strcmp(val, pset->string.value)) {
-        if (setting_str_set(pset, val, NULL, reject_msg,
+        if (setting_str_set(pset, val, nullptr, reject_msg,
                             sizeof(reject_msg))) {
           log_normal(_("Ruleset: '%s' has been set to %s."),
                      setting_name(pset),
@@ -4549,8 +4594,8 @@ static bool setting_ruleset_one(struct section_file *file,
         log_error("Can't read value for setting '%s': %s",
                   name, secfile_error());
       } else if (val != read_enum_value(pset)) {
-        if (NULL == pset->enumerator.validate
-            || pset->enumerator.validate(val, NULL, reject_msg,
+        if (pset->enumerator.validate == nullptr
+            || pset->enumerator.validate(val, nullptr, reject_msg,
                                          sizeof(reject_msg))) {
           set_enum_value(pset, val);
           log_normal(_("Ruleset: '%s' has been set to %s."),
@@ -4573,8 +4618,8 @@ static bool setting_ruleset_one(struct section_file *file,
         log_error("Can't read value for setting '%s': %s",
                   name, secfile_error());
       } else if (val != *pset->bitwise.pvalue) {
-        if (NULL == pset->bitwise.validate
-            || pset->bitwise.validate((unsigned) val, NULL,
+        if (pset->bitwise.validate == nullptr
+            || pset->bitwise.validate((unsigned) val, nullptr,
                                       reject_msg, sizeof(reject_msg))) {
           *pset->bitwise.pvalue = val;
           log_normal(_("Ruleset: '%s' has been set to %s."),
@@ -4595,7 +4640,7 @@ static bool setting_ruleset_one(struct section_file *file,
     setting_ruleset_setdef(pset);
   }
 
-  /* set lock */
+  /* Set lock */
   lock = secfile_lookup_bool_default(file, FALSE, "%s.lock", path);
 
   if (lock) {
@@ -4752,7 +4797,7 @@ static void setting_game_restore(struct setting *pset)
   char reject_msg[256] = "", buf[256];
   bool res = FALSE;
 
-  if (!setting_is_changeable(pset, NULL, reject_msg, sizeof(reject_msg))) {
+  if (!setting_is_changeable(pset, nullptr, reject_msg, sizeof(reject_msg))) {
     log_debug("Can't restore '%s': %s", setting_name(pset),
               reject_msg);
     return;
@@ -4765,33 +4810,33 @@ static void setting_game_restore(struct setting *pset)
 
   switch (setting_type(pset)) {
   case SST_BOOL:
-    res = (NULL != setting_bool_to_str(pset, pset->boolean.game_value,
-                                       FALSE, buf, sizeof(buf))
-           && setting_bool_set(pset, buf, NULL, reject_msg,
+    res = (setting_bool_to_str(pset, pset->boolean.game_value,
+                               FALSE, buf, sizeof(buf)) != nullptr
+           && setting_bool_set(pset, buf, nullptr, reject_msg,
                                sizeof(reject_msg)));
     break;
 
   case SST_INT:
-    res = setting_int_set(pset, pset->integer.game_value, NULL, reject_msg,
+    res = setting_int_set(pset, pset->integer.game_value, nullptr, reject_msg,
                           sizeof(reject_msg));
     break;
 
   case SST_STRING:
-    res = setting_str_set(pset, pset->string.game_value, NULL, reject_msg,
+    res = setting_str_set(pset, pset->string.game_value, nullptr, reject_msg,
                           sizeof(reject_msg));
     break;
 
   case SST_ENUM:
-    res = (NULL != setting_enum_to_str(pset, pset->enumerator.game_value,
-                                       FALSE, buf, sizeof(buf))
-           && setting_enum_set(pset, buf, NULL, reject_msg,
+    res = (setting_enum_to_str(pset, pset->enumerator.game_value,
+                               FALSE, buf, sizeof(buf)) != nullptr
+           && setting_enum_set(pset, buf, nullptr, reject_msg,
                                sizeof(reject_msg)));
     break;
 
   case SST_BITWISE:
-    res = (NULL != setting_bitwise_to_str(pset, pset->bitwise.game_value,
-                                          FALSE, buf, sizeof(buf))
-           && setting_bitwise_set(pset, buf, NULL, reject_msg,
+    res = (setting_bitwise_to_str(pset, pset->bitwise.game_value,
+                                  FALSE, buf, sizeof(buf)) != nullptr
+           && setting_bitwise_set(pset, buf, nullptr, reject_msg,
                                   sizeof(reject_msg)));
     break;
 
@@ -4955,10 +5000,10 @@ void settings_game_load(struct section_file *file, const char *section)
             pset->setdef = SETDEF_CHANGED;
 
             if (val != *pset->boolean.pvalue) {
-              if (setting_is_changeable(pset, NULL, reject_msg,
+              if (setting_is_changeable(pset, nullptr, reject_msg,
                                         sizeof(reject_msg))
-                  && (NULL == pset->boolean.validate
-                      || pset->boolean.validate(val, NULL, reject_msg,
+                  && (pset->boolean.validate == nullptr
+                      || pset->boolean.validate(val, nullptr, reject_msg,
                                                 sizeof(reject_msg)))) {
                 *pset->boolean.pvalue = val;
                 log_normal(_("Savegame: '%s' has been set to %s."),
@@ -4987,10 +5032,10 @@ void settings_game_load(struct section_file *file, const char *section)
             pset->setdef = SETDEF_CHANGED;
 
             if (val != *pset->integer.pvalue) {
-              if (setting_is_changeable(pset, NULL, reject_msg,
+              if (setting_is_changeable(pset, nullptr, reject_msg,
                                         sizeof(reject_msg))
-                  && (NULL == pset->integer.validate
-                      || pset->integer.validate(val, NULL, reject_msg,
+                  && (pset->integer.validate == nullptr
+                      || pset->integer.validate(val, nullptr, reject_msg,
                                                 sizeof(reject_msg)))) {
                 *pset->integer.pvalue = val;
                 log_normal(_("Savegame: '%s' has been set to %s."),
@@ -5013,14 +5058,14 @@ void settings_game_load(struct section_file *file, const char *section)
           const char *val = secfile_lookup_str(file, "%s.set%d.value",
                                                section, i);
 
-          if (NULL == val) {
+          if (val == nullptr) {
             log_verbose("Option '%s' not defined in the savegame: %s", name,
                         secfile_error());
           } else {
             pset->setdef = SETDEF_CHANGED;
 
             if (0 != strcmp(val, pset->string.value)) {
-              if (setting_str_set(pset, val, NULL, reject_msg,
+              if (setting_str_set(pset, val, nullptr, reject_msg,
                                   sizeof(reject_msg))) {
                 log_normal(_("Savegame: '%s' has been set to %s."),
                            setting_name(pset),
@@ -5050,10 +5095,10 @@ void settings_game_load(struct section_file *file, const char *section)
             pset->setdef = SETDEF_CHANGED;
 
             if (val != read_enum_value(pset)) {
-              if (setting_is_changeable(pset, NULL, reject_msg,
+              if (setting_is_changeable(pset, nullptr, reject_msg,
                                         sizeof(reject_msg))
-                  && (NULL == pset->enumerator.validate
-                      || pset->enumerator.validate(val, NULL, reject_msg,
+                  && (pset->enumerator.validate == nullptr
+                      || pset->enumerator.validate(val, nullptr, reject_msg,
                                                    sizeof(reject_msg)))) {
                 set_enum_value(pset, val);
                 log_normal(_("Savegame: '%s' has been set to %s."),
@@ -5084,10 +5129,10 @@ void settings_game_load(struct section_file *file, const char *section)
             pset->setdef = SETDEF_CHANGED;
 
             if (val != *pset->bitwise.pvalue) {
-              if (setting_is_changeable(pset, NULL, reject_msg,
+              if (setting_is_changeable(pset, nullptr, reject_msg,
                                         sizeof(reject_msg))
-                  && (NULL == pset->bitwise.validate
-                      || pset->bitwise.validate(val, NULL, reject_msg,
+                  && (pset->bitwise.validate == nullptr
+                      || pset->bitwise.validate(val, nullptr, reject_msg,
                                                 sizeof(reject_msg)))) {
                 *pset->bitwise.pvalue = val;
                 log_normal(_("Savegame: '%s' has been set to %s."),
@@ -5232,7 +5277,7 @@ void settings_init(bool act)
 void settings_reset(void)
 {
   settings_iterate(SSET_ALL, pset) {
-    if (setting_is_changeable(pset, NULL, NULL, 0)) {
+    if (setting_is_changeable(pset, nullptr, nullptr, 0)) {
       setting_set_to_default(pset);
       setting_action(pset);
     }
@@ -5282,7 +5327,7 @@ void send_server_setting(struct conn_list *dest, const struct setting *pset)
   memset(&packet, 0, sizeof(packet));                                       \
   packet.id = setting_number(pset);                                         \
   packet.is_visible = setting_is_visible(pset, pconn);                      \
-  packet.is_changeable = setting_is_changeable(pset, pconn, NULL, 0);       \
+  packet.is_changeable = setting_is_changeable(pset, pconn, nullptr, 0);    \
   packet.initial_setting = game.info.is_new_game;                           \
   packet.setdef = setting_get_setdef(pset);
 
@@ -5508,7 +5553,7 @@ static void settings_list_init(void)
       break;
     case SSET_CHANGED:
     case SSET_LOCKED:
-      /* This is done in settings_list_update. */
+      /* This is done in settings_list_update(). */
       break;
     case OLEVELS_NUM:
       /* No setting should be in this level. */
@@ -5574,9 +5619,9 @@ int settings_list_cmp(const struct setting *const *ppset1,
 ****************************************************************************/
 struct setting_list *settings_list_get(enum sset_level level)
 {
-  fc_assert_ret_val(setting_sorted.init, NULL);
-  fc_assert_ret_val(setting_sorted.level[level] != NULL, NULL);
-  fc_assert_ret_val(sset_level_is_valid(level), NULL);
+  fc_assert_ret_val(setting_sorted.init, nullptr);
+  fc_assert_ret_val(setting_sorted.level[level] != nullptr, nullptr);
+  fc_assert_ret_val(sset_level_is_valid(level), nullptr);
 
   return setting_sorted.level[level];
 }
diff --git a/server/settings.h b/server/settings.h
index e3fc577b6d..57784deb61 100644
--- a/server/settings.h
+++ b/server/settings.h
@@ -49,7 +49,7 @@ struct sset_val_name {
 #define SPECENUM_VALUE5NAME N_("Internal")
 #define SPECENUM_VALUE6     SSET_NETWORK
 #define SPECENUM_VALUE6NAME N_("Networking")
-/* keep this last */
+/* Keep this last */
 #define SPECENUM_COUNT      SSET_NUM_CATEGORIES
 #include "specenum_gen.h"
 
@@ -69,7 +69,7 @@ struct sset_val_name {
 #define SPECENUM_VALUE5NAME N_("Changed")
 #define SPECENUM_VALUE6     SSET_LOCKED
 #define SPECENUM_VALUE6NAME N_("Locked")
-/* keep this last */
+/* Keep this last */
 #define SPECENUM_COUNT      OLEVELS_NUM
 #include "specenum_gen.h"
 
@@ -173,7 +173,7 @@ void setting_admin_lock_set(struct setting *pset);
 void setting_ruleset_lock_clear(struct setting *pset);
 void setting_admin_lock_clear(struct setting *pset);
 
-/* get 'struct setting_list' and related functions: */
+/* Get 'struct setting_list' and related functions: */
 #define SPECLIST_TAG setting
 #define SPECLIST_TYPE struct setting
 #include "speclist.h"
@@ -188,7 +188,7 @@ void setting_admin_lock_clear(struct setting *pset);
 #define settings_iterate(_level, _pset)                                      \
 {                                                                            \
   struct setting_list *_setting_list = settings_list_get(_level);            \
-  if (_setting_list != NULL) {                                               \
+  if (_setting_list != nullptr) {                                            \
     setting_list_iterate(_setting_list, _pset) {
 
 #define settings_iterate_end                                                 \
@@ -227,4 +227,4 @@ enum setting_default_level setting_get_setdef(const struct setting *pset);
 }
 #endif /* __cplusplus */
 
-#endif				/* FC__SETTINGS_H */
+#endif /* FC__SETTINGS_H */
-- 
2.47.2

